# $Revision: 1.8 $, $Date: 2004/07/10 20:33:04 $
Summary:	Idesk allows You to create desktop icons
Summary(pl):	Idesk umoliwia tworzenie ikon na pulpicie
Name:		idesk
Version:	0.5.6
Release:	1
License:	BSD
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	0a52c8f1d80cbd238edcfd96d937b146
URL:		http://idesk.sourceforge.net/site
BuildRequires:	imlib-devel
BuildRequires:	libstdc++-devel
BuildRequires:	xft-devel
BuildRequires:	gtk+2-devel
BuildRequires:	librsvg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Idesk allows creation of desktop icons. Feature quite nice, and not
provided by all window managers.

%description -l pl
Idesk umoliwia tworzenie ikon na pulpicie - cecha przydatna, ale nie
oferowana przez wszystkie window managery.

%prep
%setup -q -c %{name}-%{version}

%build
%{__make} \
	cc="%{__cxx}" \
	cflags="%{rpmcflags} `imlib-config --cflags` `freetype-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install idesk $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: idesk.spec,v $
Revision 1.8  2004/07/10 20:33:04  havner
- update to 0.5.6

Revision 1.7  2004/02/19 20:56:40  qboosh
- dropped paths patch, added png patch, pass proper cflags, BR: libstdc++-devel

Revision 1.6  2003/08/18 08:08:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/05/28 12:59:08  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:48:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.2  2002/12/04 18:20:57  qboosh
- cosmetics, added TODO

Revision 1.1  2002/12/04 13:00:21  depesz
- initial release
- STBR
